> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# tickettype

> TicketTypeProvider creates a flat list based on the table - TICKET_TYPE

## "tickettype" MDO List

TicketTypeProvider creates a flat list based on the table: TICKET\_TYPE

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketTypeProvider">TicketTypeProvider</see> class.
The name of the MDO list is 'tickettype'.

## Additional Attributes

| Description                                                        | Name | Example Value                     |
| ------------------------------------------------------------------ | ---- | --------------------------------- |
| onlyForMenu                                                        |      | false                             |
| Flag to indicate a call is coming from admin system                |      | IgnoreGroupingAndHeadingsForAdmin |
| Include all items regardless of ShowInNew or user group visibility |      | IncludeAll                        |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/tickettype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("tickettype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo                                                                                                                                                                                          |
| -- | ------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 1  | Request |           | isDefault=1\&description=\&defaultStatus=0\&defaultPriority=0\&showInNew=0\&excludeSignature=0\&excludeEmailRecipients=0\&externalAsDefault=0\&replyForwardNoSignature=0\&replyExternalAsDefault=0 |

## Related MDO Lists

* "tickettypeheadings"
* "tickettypeheadingswithallitem"
* "tickettypeheadingswithallitemwithnoselection"
* "tickettypeheadingswithnoselection"
* "tickettypewithallitem"
* "tickettypewithallitemwithnoselection"
* "tickettypewithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.TicketType](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketType.md)
- [SuperOffice.WebApi.Data.TicketTypeEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketTypeEntity.md)
- [SuperOffice.License.SoLicenseNames](/en/api/reference/webapi/SuperOffice.License.SoLicenseNames.md)
- [SuperOffice.WebApi.Data.TicketEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketEntity.md)
- [ticket_type table](/en/database/tables/ticket-type.md)
- [ticket_type_priority table](/en/database/tables/ticket-type-priority.md)
